#ifndef ATL_dtGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,80,160,200,240,320,400,480,560,680,1360,2720
 * N : 25,80,160,200,240,320,400,480,560,680,1360,2720
 * NB : 4,8,8,8,44,40,40,48,44,60,40,80
 */
#define ATL_dtGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 52) (nb_) = 4; \
   else if ((n_) < 220) (nb_) = 8; \
   else if ((n_) < 280) (nb_) = 44; \
   else if ((n_) < 440) (nb_) = 40; \
   else if ((n_) < 520) (nb_) = 48; \
   else if ((n_) < 620) (nb_) = 44; \
   else if ((n_) < 1020) (nb_) = 60; \
   else if ((n_) < 2040) (nb_) = 40; \
   else (nb_) = 80; \
}


#endif    /* end ifndef ATL_dtGetNB_geqrf */
